Page MenuHomePhabricator

Allow transclusion for Special:Gather
Closed, DeclinedPublic

Description

Allow registered users to transclude specific public collections from other pages (for example, their own userpage).

Something like: {{Special:Gather/id/551}} would render the corresponding Collection summary card as it shows up on the creator's page.

.

We have thousands of lists that are manually added to userpages for maintenance purpose, to showcase pages created, FA promotions etc.: I suspect many editors would love to see these lists converted to consistently styled collections (if they had a chance to).

See also: https://www.mediawiki.org/wiki/Transclusion#Special_pages

Event Timeline

DarTar raised the priority of this task from to Needs Triage.
DarTar updated the task description. (Show Details)
DarTar added a project: Gather.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2015, 2:28 AM
Jdlrobson added a subscriber: Jdlrobson.EditedJul 22 2015, 5:23 PM

Sounds good. Would be interesting and not to problematic to add a hook that renders the collection. The only problem is how to invalidate it when the collection changes...

It could be JS only as a first step.

Jdlrobson set Security to None.
Jdlrobson moved this task from Needs triage to Could have on the Gather board.
KLans_WMF triaged this task as Low priority.Sep 16 2015, 5:18 PM
Haritha28 added a subscriber: Haritha28.

Could someone add the steps to reproduce the bug?

This is not a bug but a feature request.
The request is to allow editors to embed Gather cards in a page.
To understand it you'll need to read up on MediaWiki parser functions:
https://www.mediawiki.org/wiki/Manual:Parser_functions#The_setFunctionHook_hook
You may want to look at Wikidata-Page-Banner and RelatedArticles which both use this.

Note this task is a little trickier than standard good first task cards and to set expectations you may run into trouble attempting to implement this but it would be a valuable learning experience. If you don't feel comfortable at tackling something trickier you may want to look at other Easy tasks.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 17 2016, 6:31 PM
MBinder_WMF closed this task as Declined.Jun 1 2016, 9:59 PM
MBinder_WMF added a subscriber: MBinder_WMF.

This task was declined as part of a batch-decline related to sunsetting the Gather project. Please ping (politely) if this task should be reopened. For more information, you can also see here: https://www.mediawiki.org/wiki/Extension:Gather